Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.server
Class FilterImplicitObjects

    java.lang.Object
      org.apache.cactus.internal.server.AbstractWebImplicitObjects
          org.apache.cactus.internal.server.FilterImplicitObjects

All Implemented Interfaces:
  ImplicitObjects, WebImplicitObjects

public class FilterImplicitObjects
extends AbstractWebImplicitObjects

Holder class that contains the instances of the implicit objects that will be accessible in the test classes (ie subclasses of `FilterTestCase`).

Version:
  $Id: FilterImplicitObjects.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary
`protected javax.servlet.FilterConfig` | `config` The Filter configuration object.
`protected javax.servlet.FilterChain` | `filterChain` The Filter chain object.

Fields inherited from class org.apache.cactus.internal.server.AbstractWebImplicitObjects
`context, request, response`

Constructor Summary
`FilterImplicitObjects()`

Method Summary
`javax.servlet.FilterChain` | `getFilterChain()`
`javax.servlet.FilterConfig` | `getFilterConfig()`
`void` | `setFilterChain(javax.servlet.FilterChain theFilterChain)`
`void` | `setFilterConfig(javax.servlet.FilterConfig theConfig)`

Methods inherited from class org.apache.cactus.internal.server.AbstractWebImplicitObjects
`getHttpServletRequest, getHttpServletResponse, getServletContext, setHttpServletRequest, setHttpServletResponse, setServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected javax.servlet.FilterConfig config

  The Filter configuration object.

### filterChain

    protected javax.servlet.FilterChain filterChain

  The Filter chain object.

Constructor Detail

### FilterImplicitObjects

    public FilterImplicitObjects()

Method Detail

### getFilterConfig

    public javax.servlet.FilterConfig getFilterConfig()

  Returns:
    the `FilterConfig` implicit object

### setFilterConfig

    public void setFilterConfig(javax.servlet.FilterConfig theConfig)

  Parameters:
    `theConfig` - the `FilterConfig` implicit object

### getFilterChain

    public javax.servlet.FilterChain getFilterChain()

  Returns:
    the `FilterChain` implicit object

### setFilterChain

    public void setFilterChain(javax.servlet.FilterChain theFilterChain)

  Parameters:
    `theFilterChain` - the `FilterChain` implicit object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.